Linux Security
Linux Security
Linux Security

Fedora 32: python3.10 2021-d5cde50865

Date 12 Feb 2021
225
Posted By LinuxSecurity Advisories
Update to 3.10.0a5 Security fix for CVE-2021-3177.
--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2021-d5cde50865
2021-02-13 01:17:45.366485
--------------------------------------------------------------------------------

Name        : python3.10
Product     : Fedora 32
Version     : 3.10.0~a5
Release     : 1.fc32
URL         : https://www.python.org/
Summary     : Version 3.10 of the Python interpreter
Description :
Python 3.10 package for developers.

This package exists to allow developers to test their code against a newer
version of Python. This is not a full Python stack and if you wish to run
your applications with Python 3.10, update your Fedora to a newer
version once Python 3.10 is stable.

--------------------------------------------------------------------------------
Update Information:

Update to 3.10.0a5 Security fix for CVE-2021-3177.
--------------------------------------------------------------------------------
ChangeLog:

* Wed Feb  3 2021 Tomas Hrnciar  - 3.10.0~a5-1
- Update to 3.10.0a5
* Wed Jan 27 2021 Fedora Release Engineering  - 3.10.0~a4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
* Fri Jan 15 2021 Charalampos Stratakis  - 3.10.0~a4-2
- Compile the debug build with -O0 instead of -Og (rhbz#1818857)
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #1918168 - CVE-2021-3177 python: stack-based buffer overflow in PyCArg_repr in _ctypes/callproc.c
        https://bugzilla.redhat.com/show_bug.cgi?id=1918168
--------------------------------------------------------------------------------

This update can be installed with the "dnf" update program. Use
su -c 'dnf upgrade --advisory FEDORA-2021-d5cde50865' at the command
line. For more information, refer to the dnf documentation available at
https://dnf.readthedocs.io/en/latest/command_ref.html#upgrade-command-label

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------
_______________________________________________
package-announce mailing list -- This email address is being protected from spambots. You need JavaScript enabled to view it.
To unsubscribe send an email to This email address is being protected from spambots. You need JavaScript enabled to view it.
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/This email address is being protected from spambots. You need JavaScript enabled to view it.
Do not reply to spam on the list, report it: https://pagure.io/fedora-infrastructure

Advisories

LinuxSecurity Poll

How frequently do you patch/update your system?

No answer selected. Please try again.
Please select either existing option or enter your own, however not both.
Please select minimum 0 answer(s) and maximum 3 answer(s).
/main-polls/52-how-frequently-do-you-patch-update-your-system?task=poll.vote&format=json
52
radio
[{"id":"179","title":"As soon as patches\/updates are released - I track advisories for my distro(s) diligently","votes":"42","type":"x","order":"1","pct":84,"resources":[]},{"id":"180","title":"Every so often, when I think of it","votes":"4","type":"x","order":"2","pct":8,"resources":[]},{"id":"181","title":"Hardly ever","votes":"4","type":"x","order":"3","pct":8,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350

Please vote first in order to view vote results.

VOTE ON THE POLL PAGE


VIEW MORE POLLS

bottom 200

Please enable / Bitte aktiviere JavaScript!
Veuillez activer / Por favor activa el Javascript![ ? ]

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.